//
//  CustomUnwindSegue.m
//  UnwindingSegue
//
//  Created by Alessandro Marzoli on 10/01/13.
//  Copyright (c) 2013 Alessandro Marzoli. All rights reserved.
//

#import "CustomUnwindSegue.h"
#import "ThirdViewController.h"
#import <QuartzCore/QuartzCore.h>

@implementation CustomUnwindSegue

//-(id)initWithIdentifier:(NSString *)identifier
//                 source:(UIViewController *)source
//            destination:(UIViewController *)destination {
//
//    if(self = [super initWithIdentifier:identifier
//                                 source:source
//                            destination:destination]) {
//
//        NSLog(@"Custom initialization");
//    }
//
//    return self;
//}

-(void)perform {
    
    
    
    //destination VC for the segue
    UIViewController *dst = (UIViewController *)self.destinationViewController;
    
    
    //alternative way to get the destination VC
    
    /**
     //VC stack in the navigationvc
     NSArray *vcstack = [[NSArray alloc] initWithArray:dst.navigationController.viewControllers];
     UIViewController *dstVCinStack = [[UIViewController alloc] init];
     
     
     for  (UIViewController *vc in vcstack) {
     
     if ([vc respondsToSelector:@selector(returnto1VC:)]) {
     NSLog(@"%@",NSStringFromClass([dst class]));
     dstVCinStack = vc;
     
     }
     
     }
     **/
    
    
    
    
    [UIView transitionWithView:dst.navigationController.view
                      duration:.5
                       options:UIViewAnimationOptionTransitionCrossDissolve //dissolves from one view to the next.
                    animations:^{
                        
                        [((UIViewController *)self.destinationViewController).navigationController popToViewController:dst animated:NO];
                        
                        
                    }
                    completion:^(BOOL finished) {
                        //NSLog(@"Transition Completed");
                    }];
    
    
    
    
    
    
}



@end
